﻿local GarrisonDone = ...

if (not GarrisonDone_Varsc) then GarrisonDone_Varsc = {} end

local GarrisonDoneFrame = GarrisonDoneFrame
    
local GarrisonDone_Version = GetAddOnMetadata("GarrisonDone", "Version")


-- INTERFACE OPTIONS FRAME -- 
  
    local garrisondone = CreateFrame("Frame", "GarrisonDone", UIParent)
	garrisondone:Hide()
    garrisondone:IsResizable(true)
    garrisondone:SetMinResize(350,250)
	garrisondone.name = "My Garrison"
    garrisondone:SetBackdropColor(0, 0, 0, 0.9)
	garrisondone:SetWidth(250)
	garrisondone:SetHeight(50)
	garrisondone:SetPoint("CENTER", UIParent, "CENTER")
	InterfaceOptions_AddCategory(garrisondone)

	local title = garrisondone:CreateFontString("GarrisonDoneTitle", "ARTWORK", "GameFontNormalLarge")
	title:SetPoint("TOPLEFT", 16, -20)
	title:SetText("My Garrison is Done - |cff007fffV:|r "..GarrisonDone_Version.."")
 
    
    local mgdEditBox = CreateFrame("EditBox", "GarrisonDoneEditBox", garrisondone)
    mgdEditBox:SetPoint ("TOPLEFT", garrisondone, 26, -55)
	mgdEditBox:EnableMouse(false)
	mgdEditBox:SetAutoFocus(false)
	mgdEditBox:SetFontObject(GameFontHighlightLarge)
	mgdEditBox:SetWidth(500)
	mgdEditBox:SetHeight(20)
    mgdEditBox:SetText("|cff007fffFEATURES")
	mgdEditBox:Show()
    
    local mgdEditBoxText = mgdEditBox:CreateFontString("GarrisonDoneEditBoxTitle", "ARTWORK", "GameFontHighlight")
	mgdEditBoxText:SetPoint("TOPLEFT", garrisondone, 16, -75)
	mgdEditBoxText:SetWidth(500)
	mgdEditBoxText:SetHeight(150)
    mgdEditBoxText:SetFontObject(GameFontHighlight)
    mgdEditBoxText:SetJustifyH("LEFT")
	mgdEditBoxText:SetText("|cffffd200*|cffffffff -|r Full LDB Display or Small Moveable Window, your Choice.\n|cffffd200*|cffffffff -|r Tracks all your Garrison House Keeping on your current Character.\n|cffffd200*|cffffffff -|r Tracks All Missions and Buildings on ALL Characters.\n\n|cffffd200*|cffffffff -|r Warns you Visually and Audibly if you have |cffff0000NO MISSIONS|r in |cffffd200PROGRESS.\n|cffffd200*|cffffffff -|r No Missions Warnings, Includes Naval Missions.\n|cffffd200*|cffffffff -|r |cffff0000Warning|r in Garrison if you Have No Missions in Progress.\n|cffffd200*|cffffffff -|r |cffff0000Warning|r on Flight Path if you Have No Missions in Progress.\n|cffffd200*|cffffffff -|r |cffff0000Warning|r on Major Zones and Location of Nearest Outpost.\n|cffffd200*|cffffffff -|r |cffff0000Warning|r on Game Menu Frame if you Have No Missions in Progress.\n    |cffffd200So you Don't Forget before Logout.")
    
    -- MAIN TAB --
    
    local mgdtitle = garrisondone:CreateFontString("GarrisonDoneTitle", "ARTWORK", "GameFontHighlightLarge")
	mgdtitle:SetPoint("TOPLEFT", garrisondone, 26, -245)
	mgdtitle:SetText("|cff007fffMAIN TAB")   
    
    local mgdEditBoxText2 = mgdEditBox:CreateFontString("GarrisonDoneEditBoxTitle", "ARTWORK", "GameFontHighlight")
	mgdEditBoxText2:SetPoint("TOPLEFT", garrisondone, 16, -265)
	mgdEditBoxText2:SetWidth(500)
	mgdEditBoxText2:SetHeight(300)
    mgdEditBoxText2:SetFontObject(GameFontHighlight)
    mgdEditBoxText2:SetJustifyH("LEFT")
	mgdEditBoxText2:SetText("|cffffd200*|cffffffff -|r Tracks how many |cff62fb71Followers|r you have active, adjusts (18/20 or 22/25).\n|cffffd200*|cffffffff -|r Tracks How Many |cff53aafcShips|r you Have. (3/6 or 5/8)\n|cffffd200*|cffffffff -|r Monitors your missions including |cff53aafcShip|r Missions.\n|cffffd200*|cffffffff -|r Separate Lists for |cff62fb71Followers|r and |cff53aafcShips|r.\n|cffffd200*|cffffffff -|r How many are complete.\n|cffffd200*|cffffffff -|r How many are still in Progress.\n|cffffd200*|cffffffff -|r How many New Missions Waiting.\n|cffffd200*|cffffffff -|r Monitors your |cff62fb71Followers|r and |cff53aafcShips|r Activities.\n|cffffd200*|cffffffff -|r How many |cff62fb71Followers|r/|cff53aafcShips|r are Available to go on Missions.\n|cffffd200*|cffffffff -|r How Many |cff62fb71Followers|r are Out on Missions or |cff53aafcShips|r at Sea.\n|cffffd200*|cffffffff -|r How Many |cff62fb71Followers|r are assigned to Buildings and Which Buildings.\n|cffffd200*|cffffffff -|r How many are in the |cff62fb71Inn Drinking|r instead of being out on a Mission.\n|cffffd200*|cffffffff -|r Monitors your Herb and Mine nodes based on Building LvL.\n|cffffd200*|cffffffff -|r Counts down as you Pick and Mine. |cffffffff(resets at Quest reset)|r\n|cffffd200*|cffffffff -|r Displays your Current Garrison Resources and Oil.\n\n|cffffd200<<<|cffffffff -|r |cffffd200OTHER TABS.\n\n|cffffd200*|cffffffff -|r |cff20ff20MGD|r Window will Always open on Entering Town Hall for Update.\n|cffffd200*|cffffffff -|r |cff20ff20MGD|r Window will Always open on Closing Missions Tab for Update.\n    (Town Hall - Shipyard Only) |cffffd200(See 'About' for Update Information.)\n\n|cffffd200*|cffffffff -|r |cffff0000Audible Raid Warning|r will always Trigger on Flight Path.")
    
      
    -- OTHER TABS FRAME --
    
    local buildings = CreateFrame("Frame", "Buildings", UIParent)
	buildings:Hide()
    buildings:IsResizable(true)
    buildings:SetMinResize(350,250)
    buildings.name = "Other Tabs"
    buildings.parent = "My Garrison"
    buildings:SetBackdropColor(0, 0, 0, 0.9)
	buildings:SetWidth(250)
	buildings:SetHeight(50)
	buildings:SetPoint("CENTER", UIParent, "CENTER")
	InterfaceOptions_AddCategory(buildings)

	local titleB = buildings:CreateFontString("BuildingsTitle", "ARTWORK", "GameFontNormalLarge")
	titleB:SetPoint("TOPLEFT", 16, -20)
	titleB:SetText("My Garrison is Done - |cff007fffBUILDINGS and OTHER TABS")
 
    -- BUILDINS TAB --
    local mgdBEditBox = CreateFrame("EditBox", "BuildingsEditBox", buildings)
    mgdBEditBox:SetPoint ("TOPLEFT", buildings, 26, -55)
	mgdBEditBox:EnableMouse(false)
	mgdBEditBox:SetAutoFocus(false)
	mgdBEditBox:SetFontObject(GameFontHighlightLarge)
	mgdBEditBox:SetWidth(500)
	mgdBEditBox:SetHeight(20)
    mgdBEditBox:SetText("|cff007fffBUILDINGS TAB")
	mgdBEditBox:Show()
    
    local mgdBEditBoxText = mgdBEditBox:CreateFontString("BuildinsgEditBoxTitle", "ARTWORK", "GameFontHighlight")
	mgdBEditBoxText:SetPoint("TOPLEFT", buildings, 16, -75)
	mgdBEditBoxText:SetWidth(500)
	mgdBEditBoxText:SetHeight(120)
    mgdBEditBoxText:SetFontObject(GameFontHighlight)
    mgdBEditBoxText:SetJustifyH("LEFT")
	mgdBEditBoxText:SetText("|cffffd200*|cffffffff -|r Monitors All Buildings that Produce Shipments.\n|cffffd200*|cffffffff -|r All Characters Buildings can Be Monitored.\n|cffffd200*|cffffffff -|r Shipments Ready, In Progress, Building Cap.\n|cffffd200*|cffffffff -|r Is |cff62fb71Follower|r Assigned - Simple |cffffd200Yes|r or |cffff0000No|r.\n|cffffd200*|cffffffff -|r Seperate |cff62fb71Followers|r Tab to See Who is assigned Where.\n|cffffd200*|cffffffff -|r |cff62fb71Followers|r Tab is ( |cffffd200>|r ) Next to |cff62fb71I'm Out Working|r on Main Tab.\n|cffffd200*|cffffffff -|r |cff62fb71Followers|r Tab Shows Who is Assigned to Buiding Including Barracks.\n|cffffd200*|cffffffff -|r Time till Next Shipment Complete.\n|cffffd200*|cffffffff -|r |cff53aafcShips|r Under Construction and Ready.\n")
    
    -- ALTS TAB --
    local mgdAtitle = buildings:CreateFontString("BuildingsTitle", "ARTWORK", "GameFontHighlightLarge")
	mgdAtitle:SetPoint("TOPLEFT", buildings, 26, -210)
	mgdAtitle:SetText("|cff007fffALTS TAB")   
    
    local mgdBEditBoxText2 = mgdBEditBox:CreateFontString("BuildingsEditBoxTitle", "ARTWORK", "GameFontHighlight")
	mgdBEditBoxText2:SetPoint("TOPLEFT", buildings, 16, -230)
	mgdBEditBoxText2:SetWidth(500)
	mgdBEditBoxText2:SetHeight(80)
    mgdBEditBoxText2:SetFontObject(GameFontHighlight)
    mgdBEditBoxText2:SetJustifyH("LEFT")
	mgdBEditBoxText2:SetText("|cffffd200*|cffffffff -|r Monitors ALL Characters Missions.\n|cffffd200*|cffffffff -|r Clock timer shows time till completion on each Mission.\n|cffffd200*|cffffffff -|r Shows |cff0070FFRare|r missions (|cff0070FFR|r).\n|cffffd200*|cffffffff -|r Shows |cffFF8000Ship|r Missions (|cffFF8000S|r).\n|cffffd200*|cffffffff -|r |cffffd200ALL|r Characters can monitor |cffffd200ALL|r Missions in Progress.\n")
   
    -- OPTIONS TAB P1 --
    local mgdOtitle = buildings:CreateFontString("BuildingsTitle", "ARTWORK", "GameFontHighlightLarge")
	mgdOtitle:SetPoint("TOPLEFT", buildings, 26, -320)
	mgdOtitle:SetText("|cff007fffOPTIONS BUTTON")   
    
    local mgdEditBoxText3 = mgdBEditBox:CreateFontString("BuildingsEditBoxTitle", "ARTWORK", "GameFontHighlight")
	mgdEditBoxText3:SetPoint("TOPLEFT", buildings, 16, -340)
	mgdEditBoxText3:SetWidth(280)
	mgdEditBoxText3:SetHeight(120)
    mgdEditBoxText3:SetFontObject(GameFontHighlight)
    mgdEditBoxText3:SetJustifyH("LEFT")
	mgdEditBoxText3:SetText("|cffffd200*|cffffffff -|r Turn On/Off auto open in Garrison.\n|cffffd200*|cffffffff -|r Turn On/Off Audio Raid Warning.\n|cffffd200*|cffffffff -|r Hide Garrison Done Floating Button.|cffffd200 #\n|cffffd200*|cffffffff -|r Turn On/Off Manual Window Control.\n|cffffd200*|cffffffff -|r Turn On/Off Print Missions on Login.|cffffd200 #\n|cffffd200*|cffffffff -|r Start/Stop Print Missions List Timer.|cffffd200 #\n|cffffd200*|cffffffff -|r Turn On/Off Print Alts Completed.|cffffd200 #\n|cffffd200*|cffffffff -|r Show/Hide LDB Minimap Icon.")
    
    -- OPTIONS TAB P2 --
    local mgdOOtitle = buildings:CreateFontString("BuildingsTitle", "ARTWORK", "GameFontHighlightLarge")
	mgdOOtitle:SetPoint("TOPLEFT", buildings, 326, -320)
	mgdOOtitle:SetText("|cff007fffLDB OPTIONS")   
    
    local mgdEditBoxText4 = mgdBEditBox:CreateFontString("BuildingsEditBoxTitle", "ARTWORK", "GameFontHighlight")
	mgdEditBoxText4:SetPoint("TOPLEFT", buildings, 316, -340)
	mgdEditBoxText4:SetWidth(280)
	mgdEditBoxText4:SetHeight(120)
    mgdEditBoxText4:SetFontObject(GameFontHighlight)
    mgdEditBoxText4:SetJustifyH("LEFT")
	mgdEditBoxText4:SetText("|cffffd200*|cffffffff -|r Display all Information.\n|cffffd200*|cffffffff -|r Display Buildings, Shipments, Missions.\n|cffffd200*|cffffffff -|r Display Buildings and Shipments.\n|cffffd200*|cffffffff -|r Display Buildings and Missions.\n|cffffd200*|cffffffff -|r Display Shipments and Missions.\n|cffffd200*|cffffffff -|r Display Missions.\n|cffffd200*|cffffffff -|r Display Missions Completed.\n|cffffd200*|cffffffff -|r Only show the Information You want.\n")

    -- OPTIONS TAB P3 --
    local mgdOOOtitle = buildings:CreateFontString("BuildingsTitle", "ARTWORK", "GameFontHighlightLarge")
	mgdOOOtitle:SetPoint("TOPLEFT", buildings, 26, -460)
	mgdOOOtitle:SetText("|cff007fffOTHER")   
    
    local mgdEditBoxText5 = mgdBEditBox:CreateFontString("BuildingsEditBoxTitle", "ARTWORK", "GameFontHighlight")
	mgdEditBoxText5:SetPoint("TOPLEFT", buildings, 16, -460)
	mgdEditBoxText5:SetWidth(500)
	mgdEditBoxText5:SetHeight(120)
    mgdEditBoxText5:SetFontObject(GameFontHighlight)
    mgdEditBoxText5:SetJustifyH("LEFT")
	mgdEditBoxText5:SetText("|cffffd200#|cffffffff -|r Prints all Characters Mission list to Chat Frame on Login.\n|cffffd200#|cffffffff -|r Prints your Alts Missions that have Completed in Chat Frame.\n|cffffd200#|cffffffff -|r Optional every 30 Min updates to Chat Frame.\n|cffffd200#|cffffffff -|r Has it's own Floating button to put where you want it.\n|cffffd200#|cffffffff -|r Slash Command = /mgd. Opens and Closes Frame.")

    -- LDB Options FRAME --
    
    local ldb = CreateFrame("Frame", "About", UIParent)
	ldb:Hide()
    ldb:IsResizable(true)
    ldb:SetMinResize(350,250)
    ldb.name = "LDB Options"
    ldb.parent = "My Garrison"
    ldb:SetBackdropColor(0, 0, 0, 0.9)
	ldb:SetWidth(250)
	ldb:SetHeight(50)
	ldb:SetPoint("CENTER", UIParent, "CENTER")
	InterfaceOptions_AddCategory(ldb)

	local titleldb = ldb:CreateFontString("LDBTitle", "ARTWORK", "GameFontNormalLarge")
	titleldb:SetPoint("TOPLEFT", 16, -20)
	titleldb:SetText("My Garrison is Done - |cff007fffLDB Options")
 
    -- About --
    local mgdLDBEditBox = CreateFrame("EditBox", "LDBEditBox", ldb)
    mgdLDBEditBox:SetPoint ("TOPLEFT", ldb, 26, -55)
	mgdLDBEditBox:EnableMouse(false)
	mgdLDBEditBox:SetAutoFocus(false)
	mgdLDBEditBox:SetFontObject(GameFontHighlightLarge)
	mgdLDBEditBox:SetWidth(500)
	mgdLDBEditBox:SetHeight(20)
    mgdLDBEditBox:SetText("|cff007fffAll About MGD")
	mgdLDBEditBox:Show()
    
    local mgdLDBEditBoxText = mgdLDBEditBox:CreateFontString("LDBEditBoxTitle", "ARTWORK", "GameFontHighlight")
	mgdLDBEditBoxText:SetPoint("TOPLEFT", ldb, 16, -75)
	mgdLDBEditBoxText:SetWidth(500)
	mgdLDBEditBoxText:SetHeight(120)
    mgdLDBEditBoxText:SetFontObject(GameFontHighlight)
    mgdLDBEditBoxText:SetJustifyH("LEFT")
	mgdLDBEditBoxText:SetText("|cffffd200*|cffffffff -|r LDB Options to go here.\n\n ")

   
    -- ABOUT FRAME --
    
    local about = CreateFrame("Frame", "About", UIParent)
	about:Hide()
    about:IsResizable(true)
    about:SetMinResize(350,250)
    about.name = "About"
    about.parent = "My Garrison"
    about:SetBackdropColor(0, 0, 0, 0.9)
	about:SetWidth(250)
	about:SetHeight(50)
	about:SetPoint("CENTER", UIParent, "CENTER")
	InterfaceOptions_AddCategory(about)

	local titleA = about:CreateFontString("AboutTitle", "ARTWORK", "GameFontNormalLarge")
	titleA:SetPoint("TOPLEFT", 16, -20)
	titleA:SetText("My Garrison is Done - |cff007fffMGD")
 
    -- About --
    local mgdAEditBox = CreateFrame("EditBox", "AboutEditBox", about)
    mgdAEditBox:SetPoint ("TOPLEFT", about, 26, -55)
	mgdAEditBox:EnableMouse(false)
	mgdAEditBox:SetAutoFocus(false)
	mgdAEditBox:SetFontObject(GameFontHighlightLarge)
	mgdAEditBox:SetWidth(500)
	mgdAEditBox:SetHeight(20)
    mgdAEditBox:SetText("|cff007fffAll About MGD")
	mgdAEditBox:Show()
    
    local mgdAEditBoxText = mgdAEditBox:CreateFontString("AboutEditBoxTitle", "ARTWORK", "GameFontHighlight")
	mgdAEditBoxText:SetPoint("TOPLEFT", about, 16, -75)
	mgdAEditBoxText:SetWidth(500)
	mgdAEditBoxText:SetHeight(120)
    mgdAEditBoxText:SetFontObject(GameFontHighlight)
    mgdAEditBoxText:SetJustifyH("LEFT")
	mgdAEditBoxText:SetText("|cffffd200*|cffffffff -|r I will get around to this page eventually.\n\n            |cffffd200Managed and Written by - |cffF58CBAJaxom|cff007fff of Hellfire EU ")

   
    

    
    

